Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.processor
Class StylesheetPIHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--weblogic.apache.xalan.processor.StylesheetPIHandler

public class StylesheetPIHandler
extends org.xml.sax.helpers.DefaultHandler

Search for the xml-stylesheet processing instructions in an XML document.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Associating Style Sheets with XML documents, Version 1.0

Constructor Summary
`StylesheetPIHandler(java.lang.String baseID, java.lang.String media, java.lang.String title, java.lang.String charset)` Construct a StylesheetPIHandler instance that will search for xml-stylesheet PIs based on the given criteria.

Method Summary
`javax.xml.transform.Source` | `getAssociatedStylesheet()` Return the last stylesheet found that match the constraints.
`javax.xml.transform.URIResolver` | `getURIResolver()` Get the object that will be used to resolve URIs in href in xml-stylesheet processing instruction.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Handle the xml-stylesheet processing instruction.
`void` | `setURIResolver(javax.xml.transform.URIResolver resolver)` Get the object that will be used to resolve URIs in href in xml-stylesheet processing instruction.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` The spec notes that "The xml-stylesheet processing instruction is allowed only in the prolog of an XML document.", so, at least for right now, I'm going to go ahead an throw a TransformerException in order to stop the parse.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetPIHandler

    public StylesheetPIHandler(java.lang.String baseID,
                               java.lang.String media,
                               java.lang.String title,
                               java.lang.String charset)

  Construct a StylesheetPIHandler instance that will search for xml-stylesheet PIs based on the given criteria.

  Parameters:
    `baseID` - The base ID of the XML document, needed to resolve relative IDs.
    `media` - The desired media criteria.
    `title` - The desired title criteria.
    `charset` - The desired character set criteria.

Method Detail

### setURIResolver

    public void setURIResolver(javax.xml.transform.URIResolver resolver)

  Get the object that will be used to resolve URIs in href in xml-stylesheet processing instruction.

  Parameters:
    `resolver` - An object that implements the URIResolver interface, or null.

### getURIResolver

    public javax.xml.transform.URIResolver getURIResolver()

  Get the object that will be used to resolve URIs in href in xml-stylesheet processing instruction.

  Returns:
    The URIResolver that was set with setURIResolver.

### getAssociatedStylesheet

    public javax.xml.transform.Source getAssociatedStylesheet()

  Return the last stylesheet found that match the constraints.

  Returns:
    Source object that references the last stylesheet reference that matches the constraints.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Handle the xml-stylesheet processing instruction.

  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none is supplied.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    processingInstruction in class org.xml.sax.helpers.DefaultHandler
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`, Associating Style Sheets with XML documents, Version 1.0

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  The spec notes that "The xml-stylesheet processing instruction is allowed only in the prolog of an XML document.", so, at least for right now, I'm going to go ahead an throw a TransformerException in order to stop the parse.

  Parameters:
    `uri` - The Namespace URI, or an empty string.
    `localName` - The local name (without prefix), or empty string if not namespace processing.
    `rawName` - The qualified name (with prefix).
    `attributes` - The specified or defaulted attributes.
  Throws:
    StopParseException - since there can be no valid xml-stylesheet processing instructions past the first element.
  Overrides:
    startElement in class org.xml.sax.helpers.DefaultHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference